package org.sonatype.nexus.plugin.gwt.client;

import java.util.Map.Entry;

import com.extjs.gxt.ui.client.data.ModelData;
import com.extjs.gxt.ui.client.data.ModelType;
import com.google.gwt.json.client.JSONObject;
import com.google.gwt.json.client.JSONString;

public class JsonWriter
{

    private ModelType modelType;

    public JsonWriter( ModelType modelType )
    {
        this.modelType = modelType;
    }

    // FIXME: only works for single level json messages
    
    public String toJson( ModelData data )
    {
        JSONObject rootJsonObject = new JSONObject();

        for ( Entry<String, Object> entry : data.getProperties().entrySet() )
        {
        	if (entry.getValue() != null)
        	{
        		rootJsonObject.put( entry.getKey(), new JSONString( entry.getValue().toString() ) );
        	}
        }

        if ( modelType.getRoot() != null && !modelType.getRoot().isEmpty() )
        {
            JSONObject wrapper = new JSONObject();
            wrapper.put( modelType.getRoot(), rootJsonObject );
            rootJsonObject = wrapper;
        }

        return rootJsonObject.toString();
    }

}
