package org.sonatype.nexus.plugin.move;

import java.util.Map;

import javax.enterprise.inject.Typed;
import javax.inject.Named;
import javax.inject.Singleton;

import org.sonatype.nexus.plugins.rest.AbstractNexusIndexHtmlCustomizer;
import org.sonatype.nexus.plugins.rest.NexusIndexHtmlCustomizer;

@Singleton
@Named
@Typed( value = NexusIndexHtmlCustomizer.class )
public class BaseGXTHtmlCustomizer
    extends AbstractNexusIndexHtmlCustomizer
{
    

    @Override
    public String getPreHeadContribution( Map<String, Object> context )
    {
        // GXT stuff
        String version =
            getVersionFromJarFile( "/META-INF/maven/org.sonatype.nexus.plugin/nexus-gwt-base-plugin/pom.properties" );
   
      
        return "<link href=\"static/gxt-resources/css/ext-extensions.css"
        + "\" type=\"text/css\" rel=\"stylesheet\"></link>"
        + "\n      "
        + "<link href=\"static/gxt-resources/css/gxt-all.css"
        + ( version == null ? "" : "?" + version )
        + "\" type=\"text/css\" rel=\"stylesheet\"></link>"
        + "\n      "
        + "<link href=\"static/gxt-resources/css/gxt-gray.css"
        + ( version == null ? "" : "?" + version )
        + "\" type=\"text/css\" rel=\"stylesheet\"></link>"
        + "\n      "
        + "<link href=\"static/gxt-resources/css/gxt-extensions.css"
        + ( version == null ? "" : "?" + version )
        + "\" type=\"text/css\" rel=\"stylesheet\"></link>";
        
    }

}
